## rust-yaxpeax-x86 2.0.0

=== Makefile ===
test: test-fast test-exhaustive

test-fast: test-std test-no-std test-fmt-no-std

test-exhaustive:
	cargo test -- --ignored
	cargo test --no-default-features -- --ignored

test-std:
	cargo test
test-no-std:
	cargo test --no-default-features
test-fmt-no-std:
	cargo test --no-default-features --features "fmt"

## rust-yaxpeax-x86 1.2.2

=== debian/changelog ===
rust-yaxpeax-x86 (1.2.2-1) unstable; urgency=medium

  * Package yaxpeax-x86 1.2.2 from crates.io using debcargo 2.6.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 May 2024 14:09:37 +0200

=== debian/control ===
Source: rust-yaxpeax-x86
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-num-traits-0.2-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>,
 librust-yaxpeax-arch-0.2+colors-dev (>= 0.2.7-~~) <!nocheck>,
 librust-yaxpeax-arch-0.2+std-dev (>= 0.2.7-~~) <!nocheck>,
 librust-yaxpeax-arch-0.2+use-serde-dev (>= 0.2.7-~~) <!nocheck>,
 librust-yaxpeax-arch-0.2-dev (>= 0.2.7-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/yaxpeax-x86]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/yaxpeax-x86
X-Cargo-Crate: yaxpeax-x86
Rules-Requires-Root: no

Package: librust-yaxpeax-x86-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-num-traits-0.2-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-yaxpeax-arch-0.2+colors-dev (>= 0.2.7-~~),
 librust-yaxpeax-arch-0.2+std-dev (>= 0.2.7-~~),
 librust-yaxpeax-arch-0.2+use-serde-dev (>= 0.2.7-~~),
 librust-yaxpeax-arch-0.2-dev (>= 0.2.7-~~)
Provides:
 librust-yaxpeax-x86+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86-1.2.2+use-serde-dev (= ${binary:Version})
Description: X86 decoders for the yaxpeax project - Rust source code
 Source code for Debianized Rust crate "yaxpeax-x86"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --all-features
Features: test-name=rust-yaxpeax-x86:@
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features capstone_bench
Features: test-name=librust-yaxpeax-x86-dev:capstone_bench
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features colors
Features: test-name=librust-yaxpeax-x86-dev:colors
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets
Features: test-name=librust-yaxpeax-x86-dev:default
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features fmt
Features: test-name=librust-yaxpeax-x86-dev:fmt
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features serde
Features: test-name=librust-yaxpeax-x86-dev:serde
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features serde_derive
Features: test-name=librust-yaxpeax-x86-dev:serde_derive
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features serde_json
Features: test-name=librust-yaxpeax-x86-dev:serde_json
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features std
Features: test-name=librust-yaxpeax-x86-dev:std
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 1.2.2 --all-targets --no-default-features --features use-serde
Features: test-name=librust-yaxpeax-x86-dev:use-serde
Depends: dh-cargo (>= 18), librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/yaxpeax-x86-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/yaxpeax-x86 .*/crates/yaxpeax-x86/@ANY_VERSION@/download

## rust-yaxpeax-x86 2.0.0

=== debian/changelog ===
rust-yaxpeax-x86 (2.0.0-1) unstable; urgency=medium

  * Team upload.
  * Package yaxpeax-x86 2.0.0 from crates.io using debcargo 2.7.6 (Closes: #1089100)
  * Fix broken bench
  * Fix test feature requirements.
  * Add test dependency on libcapstone-dev

 -- Peter Michael Green <plugwash@debian.org>  Fri, 14 Feb 2025 03:20:50 +0000

=== debian/control ===
Source: rust-yaxpeax-x86
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo,
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-cfg-if-1+default-dev <!nocheck>,
 librust-num-traits-0.2-dev <!nocheck>,
 librust-serde-1+default-dev <!nocheck>,
 librust-serde-derive-1+default-dev <!nocheck>,
 librust-yaxpeax-arch-0.3+alloc-dev (>= 0.3.1-~~) <!nocheck>,
 librust-yaxpeax-arch-0.3+colors-dev (>= 0.3.1-~~) <!nocheck>,
 librust-yaxpeax-arch-0.3+std-dev (>= 0.3.1-~~) <!nocheck>,
 librust-yaxpeax-arch-0.3+use-serde-dev (>= 0.3.1-~~) <!nocheck>,
 librust-yaxpeax-arch-0.3-dev (>= 0.3.1-~~) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Sylvestre Ledru <sylvestre@debian.org>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/yaxpeax-x86]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/yaxpeax-x86
Homepage: http://git.iximeow.net/yaxpeax-x86/
X-Cargo-Crate: yaxpeax-x86
Rules-Requires-Root: no

Package: librust-yaxpeax-x86-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-cfg-if-1+default-dev,
 librust-num-traits-0.2-dev,
 librust-serde-1+default-dev,
 librust-serde-derive-1+default-dev,
 librust-serde-json-1+default-dev,
 librust-yaxpeax-arch-0.3+alloc-dev (>= 0.3.1-~~),
 librust-yaxpeax-arch-0.3+colors-dev (>= 0.3.1-~~),
 librust-yaxpeax-arch-0.3+std-dev (>= 0.3.1-~~),
 librust-yaxpeax-arch-0.3+use-serde-dev (>= 0.3.1-~~),
 librust-yaxpeax-arch-0.3-dev (>= 0.3.1-~~)
Provides:
 librust-yaxpeax-x86+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-x86+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86+profiling-dev (= ${binary:Version}),
 librust-yaxpeax-x86+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+profiling-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+profiling-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0+use-serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+alloc-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+capstone-bench-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+colors-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+default-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+fmt-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+profiling-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+serde-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+serde-derive-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+serde-json-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+std-dev (= ${binary:Version}),
 librust-yaxpeax-x86-2.0.0+use-serde-dev (= ${binary:Version})
Description: X86 decoders for the yaxpeax project - Rust source code
 Source code for Debianized Rust crate "yaxpeax-x86"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --all-features
Features: test-name=rust-yaxpeax-x86:@
Depends: dh-cargo (>= 31), libcapstone-dev, rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features alloc
Features: test-name=librust-yaxpeax-x86-dev:alloc
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features capstone_bench
Features: test-name=librust-yaxpeax-x86-dev:capstone_bench
Depends: dh-cargo (>= 31), libcapstone-dev, rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features colors
Features: test-name=librust-yaxpeax-x86-dev:colors
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets
Features: test-name=librust-yaxpeax-x86-dev:default
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features fmt
Features: test-name=librust-yaxpeax-x86-dev:fmt
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features profiling
Features: test-name=librust-yaxpeax-x86-dev:profiling
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features serde
Features: test-name=librust-yaxpeax-x86-dev:serde
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features serde_derive
Features: test-name=librust-yaxpeax-x86-dev:serde_derive
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test yaxpeax-x86 2.0.0 --all-targets --no-default-features --features serde_json
Features: test-name=librust-yaxpeax-x86-dev:serde_json
Depends: dh-cargo (>= 31), rustc, librust-rand-0.8+default-dev (>= 0.8.4-~~), @

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/yaxpeax-x86-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/yaxpeax-x86 .*/crates/yaxpeax-x86/@ANY_VERSION@/download
